# ArchLabs Installer

#### Features
- Simple, easy to follow configuration.
- Automatic partitioning for whole devices.
- Translations for different languages.
- No input halts during install.
- Support for LUKS and/or LVM.
- Built-in error detection.
- Written entirely in Bash

#### Requirements
- `rsync` for unpacking the squashfs.
- `dialog` for all user input/output.
- `vim` for editing files post install.
- `parted` for partition creation.
- `wipe` for the secure wipe.
- `awk` `sed` `grep` `uniq` `sort` `find` `ping` `mkfs` `lsblk` `curl`.
- `arch-chroot` to perform operations in a chroot.
- `chpasswd` to set root and user passwords.
- `openssl` to encrypt passwords.
- Network connection is needed to install packages and update the system.

#### Manual Installation
- curl
    ```
    sh -c "$(curl -fsSL https://bitbucket.org/archlabslinux/installer/raw/cfca6ca4d234f0a92c9d323fbeeb7214ce800fb0/install.sh)"
    ```

- wget
    ```
    sh -c "$(wget https://bitbucket.org/archlabslinux/installer/raw/cfca6ca4d234f0a92c9d323fbeeb7214ce800fb0/install.sh -O -)"
    ```

- Packages for `pacman` can be found in our repos:
    - stable: https://bitbucket.org/archlabslinux/archlabs_repo/src/master/x86_64/
    - unstable: https://bitbucket.org/archlabslinux/archlabs_unstable/src/master/x86_64/

